Subject: Lollypop missing propagated-input gsettings-desktop-schemas

From: Sam <[email-masked]>
Date: Sat, 26 Oct 2019 22:39:52 +0200

Hello,
lollypop is missing gsettings-desktop-schemas as dependency, and fails 
to start without the package.
Below there is a patch where I tried to fix it, but since I couldn't 
find out how to test the effect I chose to not send it to the patch 
mailing list.
I'm sorry for the inconvenience.

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 8bb891bfb3..a6596bc92d 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -7833,8 +7833,9 @@ views can be printed as PDF or PostScript files, 
or exported to HTML.")
         ("totem-pl-parser" ,totem-pl-parser)
         ("webkitgtk" ,webkitgtk)))
      (propagated-inputs
-     `(;; gst-plugins-base is required to start Lollypop,
+     `(;; gst-plugins-base and gsettings-desktop-schemas are required 
to start Lollypop,
         ;; the others are required to play streaming.
+       ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
         ("gst-plugins-good" ,gst-plugins-good)
         ("gst-plugins-ugly" ,gst-plugins-ugly)))
      (home-page "https://wiki.gnome.org/Apps/Lollypop")